Package org.eclipse.birt.chart.model

# Interface ChartWithoutAxes

All Superinterfaces:
  `Chart`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `DialChart`

All Known Implementing Classes:
  `ChartWithoutAxesImpl`, `DialChartImpl`

public interface ChartWithoutAxes extends Chart
A representation of the model object 'Chart Without Axes'. ChartWithoutAxes represents a chart without any axis. (e.g. Pie Chart, Dial Chart, etc).

To create an instance use the factory method:
ChartWithoutAxesImpl.create( );

The following features are supported:

- `Series Definitions`
- `Min Slice`
- `Min Slice Percent`
- `Min Slice Label`
- `Coverage`

See Also:
  - `ModelPackage.getChartWithoutAxes()`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.model.Chart

`VERSION`

## Method Summary

Modifier and Type
Method
Description
`ChartWithoutAxes`
`copyInstance()`
`double`
`getCoverage()`
Returns the value of the 'Coverage' attribute.
`double`
`getMinSlice()`
Returns the value of the 'Min Slice' attribute.
`String`
`getMinSliceLabel()`
Returns the value of the 'Min Slice Label' attribute.
`Series[]`
`getRunTimeSeries()`
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
`getSeriesDefinitions()`
Returns the value of the 'Series Definitions' containment reference list.
`boolean`
`isMinSlicePercent()`
Returns the value of the 'Min Slice Percent' attribute.
`boolean`
`isSetCoverage()`
Returns whether the value of the '`Coverage`' attribute is set.
`boolean`
`isSetMinSlice()`
Returns whether the value of the '`Min Slice`' attribute is set.
`boolean`
`isSetMinSlicePercent()`
Returns whether the value of the '`Min Slice Percent`' attribute is set.
`void`
`setCoverage(double value)`
Sets the value of the '`Coverage`' attribute.
`void`
`setMinSlice(double value)`
Sets the value of the '`Min Slice`' attribute.
`void`
`setMinSliceLabel(String value)`
Sets the value of the '`Min Slice Label`' attribute.
`void`
`setMinSlicePercent(boolean value)`
Sets the value of the '`Min Slice Percent`' attribute.
`void`
`unsetCoverage()`
Unsets the value of the '`Coverage`' attribute.
`void`
`unsetMinSlice()`
Unsets the value of the '`Min Slice`' attribute.
`void`
`unsetMinSlicePercent()`
Unsets the value of the '`Min Slice Percent`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.Chart

`clearSections, createSampleRuntimeSeries, getBlock, getDescription, getDimension, getEmptyMessage, getExtendedProperties, getGridColumnCount, getInteractivity, getLegend, getPlot, getSampleData, getScript, getSeriesForLegend, getSeriesThickness, getStyles, getSubType, getTitle, getType, getUnits, getVersion, isSetDimension, isSetGridColumnCount, isSetSeriesThickness, isSetVersion, setBlock, setDescription, setDimension, setEmptyMessage, setGridColumnCount, setInteractivity, setSampleData, setScript, setSeriesThickness, setSubType, setType, setUnits, setVersion, unsetDimension, unsetGridColumnCount, unsetSeriesThickness, unsetVersion`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getSeriesDefinitions

org.eclipse.emf.common.util.EList<SeriesDefinition> getSeriesDefinitions()
Returns the value of the 'Series Definitions' containment reference list. The list contents are of type `SeriesDefinition`. Defines the source of the series.

Returns:
  the value of the 'Series Definitions' containment reference list.
See Also:
  - `ModelPackage.getChartWithoutAxes_SeriesDefinitions()`

### getMinSlice

double getMinSlice()
Returns the value of the 'Min Slice' attribute. The concept "min slice" is used for Pie-like charts, by which datapoints are displayed as slices of a whole graph, the size of the slices corresponds the value's percentage of the summary. The attribute "MinSlice" of type double specifies the threshold value of slices. A separate slice will be created for each datapoint whose value is greater than this threshold, and all values less than the threshold will be aggregated into one single slice called "min slice".

Returns:
  the value of the 'Min Slice' attribute.
See Also:
  - `isSetMinSlice()`
  - `unsetMinSlice()`
  - `setMinSlice(double)`
  - `ModelPackage.getChartWithoutAxes_MinSlice()`

### setMinSlice

void setMinSlice(double value)
Sets the value of the '`Min Slice`' attribute.

Parameters:
  `value` - the new value of the 'Min Slice' attribute.
See Also:
  - `isSetMinSlice()`
  - `unsetMinSlice()`
  - `getMinSlice()`

### unsetMinSlice

void unsetMinSlice()
Unsets the value of the '`Min Slice`' attribute.

See Also:
  - `isSetMinSlice()`
  - `getMinSlice()`
  - `setMinSlice(double)`

### isSetMinSlice

boolean isSetMinSlice()
Returns whether the value of the '`Min Slice`' attribute is set.

Returns:
  whether the value of the 'Min Slice' attribute is set.
See Also:
  - `unsetMinSlice()`
  - `getMinSlice()`
  - `setMinSlice(double)`

### isMinSlicePercent

boolean isMinSlicePercent()
Returns the value of the 'Min Slice Percent' attribute. The boolean attribute indicates whether the MinSlice value is defined as a percentage.

Returns:
  the value of the 'Min Slice Percent' attribute.
See Also:
  - `isSetMinSlicePercent()`
  - `unsetMinSlicePercent()`
  - `setMinSlicePercent(boolean)`
  - `ModelPackage.getChartWithoutAxes_MinSlicePercent()`

### setMinSlicePercent

void setMinSlicePercent(boolean value)
Sets the value of the '`Min Slice Percent`' attribute.

Parameters:
  `value` - the new value of the 'Min Slice Percent' attribute.
See Also:
  - `isSetMinSlicePercent()`
  - `unsetMinSlicePercent()`
  - `isMinSlicePercent()`

### unsetMinSlicePercent

void unsetMinSlicePercent()
Unsets the value of the '`Min Slice Percent`' attribute.

See Also:
  - `isSetMinSlicePercent()`
  - `isMinSlicePercent()`
  - `setMinSlicePercent(boolean)`

### isSetMinSlicePercent

boolean isSetMinSlicePercent()
Returns whether the value of the '`Min Slice Percent`' attribute is set.

Returns:
  whether the value of the 'Min Slice Percent' attribute is set.
See Also:
  - `unsetMinSlicePercent()`
  - `isMinSlicePercent()`
  - `setMinSlicePercent(boolean)`

### getMinSliceLabel

String getMinSliceLabel()
Returns the value of the 'Min Slice Label' attribute. The string attribute "MinSliceLabel" specifies the label text of the MinSlice.

Returns:
  the value of the 'Min Slice Label' attribute.
See Also:
  - `setMinSliceLabel(String)`
  - `ModelPackage.getChartWithoutAxes_MinSliceLabel()`

### setMinSliceLabel

void setMinSliceLabel(String value)
Sets the value of the '`Min Slice Label`' attribute.

Parameters:
  `value` - the new value of the 'Min Slice Label' attribute.
See Also:
  - `getMinSliceLabel()`

### getCoverage

double getCoverage()
Returns the value of the 'Coverage' attribute. Attribute "Coverage" specifies the percentage of size that the chart graphics (pie or dial) takes from the client area of the plot. By default it's not set, which means the size will be auto adjusted.

Returns:
  the value of the 'Coverage' attribute.
See Also:
  - `isSetCoverage()`
  - `unsetCoverage()`
  - `setCoverage(double)`
  - `ModelPackage.getChartWithoutAxes_Coverage()`

### setCoverage

void setCoverage(double value)
Sets the value of the '`Coverage`' attribute.

Parameters:
  `value` - the new value of the 'Coverage' attribute.
See Also:
  - `isSetCoverage()`
  - `unsetCoverage()`
  - `getCoverage()`

### unsetCoverage

void unsetCoverage()
Unsets the value of the '`Coverage`' attribute.

See Also:
  - `isSetCoverage()`
  - `getCoverage()`
  - `setCoverage(double)`

### isSetCoverage

boolean isSetCoverage()
Returns whether the value of the '`Coverage`' attribute is set.

Returns:
  whether the value of the 'Coverage' attribute is set.
See Also:
  - `unsetCoverage()`
  - `getCoverage()`
  - `setCoverage(double)`

### getRunTimeSeries

Series[] getRunTimeSeries()

Returns:

### copyInstance

ChartWithoutAxes copyInstance()

Specified by:
  `copyInstance` in interface `Chart`
Specified by:
  `copyInstance` in interface `IChartObject`